Subject: Re: bug#10474: Building guile 2.x under mingw + msys

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Feb 2013 21:56:35 +0200

> From: Andy Wingo <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 18 Feb 2013 19:10:41 +0100
> 
> I'm terribly sorry for the delay here.  I realize you've probably paged
> out all of these patches from memory, but I would like to pick up the
> loose ends.

Thanks.

> On Thu 02 Feb 2012 18:34, Eli Zaretskii <[email-masked]> writes:
> 
> >  . lib/canonicalize-lgpl.c -- does not support Windows absolute file
> >                               names.  Will be fixed in gnulib.
> 
> I see you got this into gnulib in November
> (http://lists.gnu.org/archive/html/bug-gnulib/2012-11/msg00090.html).
> I just updated our Gnulib so we have it now.  Thanks!
> 
> >  . libguile/dynl.c -- lacks setenv.  Gnulib's setenv should be used.
> 
> This change was made in Guile on 25 January 2012.
> 
> >  . libguile/expand.c -- Defines CONST and VOID.  Should define
> >                         SCM_CONST and SCM_VOID (or some other, less
> >                         ubiquitous, symbols) instead.
> 
> Fixed in Guile on July 6 2012.
> 
> >  . libguile/fports.c -- Doesn't implement fport_input_waiting when
> >                         neither poll nor select nor FIONREAD are
> >                         available, without which interactive guile
> >                         won't start.  Should use the gnulib select
> >                         module.
> 
> Just added the module; thanks.
> 
> >  . libguile/socket.c -- Lacks implementation of `times' for
> >                         MS-Windows, without which guile.exe aborts
> >                         during startup.  Should use the gnulib times
> >                         module.
> 
> Added; thanks.

Thanks again.  Glad Guile is now more friendly to MinGW.